Skip to main content
POST
Part of the Export Documents integration guide — see it for when and how to use this endpoint.
This API posts the new order — or updates an existing order — on the merchant’s site. When implementing a Global-e extension or plug-in, this method creates the customer order in the merchant’s system, clears the user’s basket, and optionally reserves the inventory. If PaymentDetails are provided, it also performs the payment and returns the currency and amount actually charged in the ResponseInfo.
This API is part of Global-e’s extensions and plug-ins. Merchants do not need to implement it unless a custom integration is required.
If additional shipping documents are required for merchants that are shipping the order themselves, this is indicated in AdditionalRequiredDocuments. In that case, delay fulfilment until the documents are ready and provided in the SendAdditionalRequiredDocumentsToMerchant webhook.
Some values in the payload are encoded and must be decoded by the merchant — for example URLs, addresses, emails, and phone numbers.

Security Requirements

  • Merchant GUID — In request payload (required)
  • Custom header (optional)
  • IP whitelist (optional)
  • HTTP Basic Authentication (optional)
  • JWT (optional)

Retry Logic

There is no retry upon a merchant failure response or timeout. The timeout period is 5 minutes but can be adjusted if necessary. Merchant failure responses or timeouts will trigger an alert to the Global-e NOC team for manual review. Requests that fail to initiate from Global-e side will trigger a retry once a minute for up to 3 attempts, after which an alert will trigger for manual review.

Body

application/json

Information about the order. Requests can contain more parameters than listed.

MerchantGUID
string
required

Unique identifier of the Merchant on Global-e.

OrderId
string
required

Global-e order unique identifier.

AdditionalRequiredDocuments
OrderDocument · object[]

The required additional documents for shipping. When the information is provided, the Merchant must wait for the documents to be provided before starting fulfilment.

AllowMailsFromMerchant
boolean

Indicates if the end customer has opted on the Global-e checkout page to receive emails from the Merchant. TRUE - Customer opted to receive emails. FALSE - Customer did not opt to receive emails.

CartHash
string

Cart hash originally specified in the merchantCartHash argument for the SendCart method for the cart converted to this order on Global-e.

CartId
string

Identifier of the cart on the Merchant's site originally specified in merchantCartToken argument for SendCart method for the cart converted to this order on Global-e.

CashOnDeliveryFee
number

Cash On Delivery fee amount in Merchant's currency.

CCFPrice
number

Customs Clearance Fees (CCF), in the Merchant currency.

ClearCart
boolean

Indicates if the end customer's cart must be cleared before this method finishes execution on the Merchant's site. TRUE - The end customer's cart must be cleared. FALSE - The end customer's cart does not have to be cleared.

CurrencyCode
string

3-char ISO currency code for the order being posted. By default, this is set to the original Merchant's currency.

CurrencyName
string

Customer currency name. Returned by GetOrdersDetails API only.

Customer
Merchant.Customer · object

The paying customer's preferences (Global-e acts as a paying customer).

CustomerComments
string

Holds the gift message. In the offline order flow, holds the product comment. (The page also lists a second CustomerComments row: "Comments text entered by the end customer in Global-e checkout." See review §2.)

CustomerDTBreakdown
DTBreakdown · object
DateCreated
string

Order creation date and time. Returned by GetOrdersDetails API only.

DiscountedShippingPrice
number

The shipping price paid by the customer converted to the Merchant's currency. Total Shipping price reducing Order Discounts (InternationalDetails.DiscountedShippingPrice price converted to the Merchant currency).

Discounts
Merchant.Discount · object[]

The list of discounts being applied to the order, according to the original list of discounts received in SendCart for this order, and to the Merchant shipping configuration on Global-e.

DoNotChargeVAT
boolean

Indicates if the end customer hasn't been charged VAT in Global-e checkout, as specified in the doNotChargeVAT argument for the SendCart method for the cart converted to this order on Global-e. TRUE - VAT is not charged. TRUE - VAT is charged. (Second bullet appears to be a typo for FALSE; see review §2.)

ExporterDetails
ExporterDetails · object

Exporter details. Only the two fields below are documented (as dotted rows in the Merchant.Order table); no standalone ExporterDetails table exists on the page.

FreeShippingCouponCode
string

Merchant's free shipping CouponCode applied by the end customer, as specified in the FreeShippingCouponCode argument for the SendCart method for the cart converted to this order on Global-e.

InternationalDetails
Merchant.InternationalDetails · object

Details referring to the end customer's order placed on the Global-e side. These details apply only to the Merchants dealing with international customers' support themselves.

IsB2B
boolean

Indicates if the order has a Company name and VAT registration number. TRUE - Order contains a company name and VAT registration number. FALSE - Order does not contain a company name and VAT registration number.

IsFreeShipping
boolean

Indicates if the Merchant offers free international shipping to the end customer, as specified in the IsFreeShipping argument for the SendCart method for the cart converted to this order on Global-e. TRUE - Shipping is free. FALSE - Shipping is not free.

IsMoto
boolean

Indicates if the customer is a customer support agent and an "Offline order" took place. TRUE - The customer is a customer support agent and an "Offline order" took place. FALSE - The customer is a regular customer.

IsReplacementOrder
boolean

Indicates if the order is a replacement. TRUE - The order is a replacement. FALSE - The order is not a replacement.

IsSplitOrder
boolean

Indicates if the order should be handled as a split order (i.e. without consolidation). TRUE - Order will be split. FALSE - Order is not to be split.

IsTaxExemption
boolean

Indicates if the order has a tax exemption. TRUE - Order has a tax exemption. FALSE - Order does not have a tax exemption.

LoyaltyCode
string

Loyalty code applicable to the Merchant's site entered by the end customer in Global-e checkout.

LoyaltyPointsEarned
number

The number of loyalty points to be earned for this purchase by the end customer on the Merchant's site, as specified in the loyaltyPointsEarned argument for the SendCart method for the cart converted to this order on Global-e.

LoyaltyPointsSpent
number

The number of loyalty points spent for this purchase. The existing loyalty points handling procedure must be applied to the end customer's user account. Therefore, the "Loyalty points" type discount must not be applied to the order directly but can be used for display purposes elsewhere in the system (i.e. on the end user's My Account page).

Markups
Merchant.Discount · object[]

The list of markups being applied to the order, according to the Merchant shipping configuration on Global-e. Effectively Markup is a "negative Discount". The main use case for markups is when the end customer is charged in Global-e checkout, a flat shipping rate, which is higher than the shipping rate, calculated for the respective order. In this case, Global-e pays the difference to the Merchant in the form of Markups applied to the order. Unlike Discounts, Markups may be only passed to the Merchant's back-end ERP system for reconciliation purposes, and may not be displayed to the end customer.

MerchantDTBreakdown
DTBreakdown · object
MerchantOrderId
string

Order unique identifier on the Merchant's site returned from a previous call to the SendOrderToMerchant method for this order.

ModifiedProduct
string

Holds the product's SKU.

OrderCreationSource
enum<integer>

One of the values of OrderCreationSource enumeration denoting a type of discount. 0 = GECheckout (the default value for orders created in a normal flow via Global-e Checkout). 1 = Marketplace (the value for orders that are created at a marketplace and sent to Global-e via your brand).

Available options:
0,
1
OrderDocuments
OrderDocument · object[]

Always contains a single document - it can be either a VAT Invoice or a Customer Receipt, depends if it is within the EU or not.

OrderPaymentMethods
OrderPaymentMethod · object[]

List of payment methods the customer use (Credit card, Gift Cards).

OrderStatusReason
OrderStatusReason · object

Reason for the order status, why it was cancelled.

OriginalOrder
Merchant.OriginalOrder · object

Details that refer to the original order if the current order is a replacement.

OTCurrencyCode
string

Currency of the one-time voucher code used to place the order.

OTVoucherAmount
number

The amount taken off the voucher when applicable.

OTVoucherCode
string

One-time voucher code used to place the order.

Parcels
Merchant.Parcel · object[]

The list of parcels created for the order. Returned by GetOrdersDetails API only.

PaymentDetails
Merchant.PaymentDetails · object

The paying customer's payment details.

PrePayOffered
boolean

Indicates if the prepayment option for duties and taxes was offered to the customer. TRUE - Prepayment option offered. FALSE - Prepayment option not offered.

PriceCoefficientRate
number

CountryCoefficient rate applied to the prices in this order.

PrimaryBilling
Merchant.CustomerDetails · object

The primary customer's billing details. If IsEndCustomerPrimary is set to TRUE, then the primary customer is the payer and his details are indicated in the URL-encoded form.

PrimaryShipping
Merchant.CustomerDetails · object

Primary customer's shipping details. If Customer.IsEndCustomerPrimary is TRUE, this field contains the end customers' shipping details. this field contains the Global-e hub's shipping address in the URL-encoded form.

Products
Merchant.Product · object[]

The list of products being purchased.

RoundingRate
number

The average conversion rate applied to the prices paid by the end customer when calculating the prices paid by Global-e to the Merchant in the original Merchant's currency. This rate includes "FX conversion" and "marketing rounding" factors.

SameDayDispatch
boolean

Indicates if the end customer has requested "Same Day Dispatch" on Global-e checkout. TRUE - Customer requested "Same Day Dispatch". FALSE - Customer did not request "Same Day Dispatch".

SameDayDispatchCost
number

Cost of the "Same Day Dispatch" option selected by the end customer on Global-e checkout, in the original Merchant's currency.

SecondaryBilling
Merchant.CustomerDetails · object

Secondary customer's billing details. If Customer.IsEndCustomerPrimary is FALSE, this contains attributes of the end customer's details indicated in the URL-encoded form.

SecondaryShipping
Merchant.CustomerDetails · object

Secondary customer's shipping details. If Customer.IsEndCustomerPrimary is FALSE, this field contains the end customers' shipping details.

ShippingMethodCode
string

Code denoting the local shipping method selected from the list of available shipping options provided in the shippingOptionsList argument for the SendCart method for the cart converted to this order on Global-e.

ShipToStoreCode
string

Code denoting the Merchant's store specified by the customer for "ship to shop" shipping destination (to be mapped on the Global-e side).

StatusCode
string

Code denoting the order status on the Merchant's site (to be mapped on the Global-e side).

Subs
array

Contains Sub orders related to Mixed order. This list is defined only in case the order is Mixed.

TotalDutiesAndTaxesPrice
number

Total Duties & Taxes value including Customs Clearance Fees, in the Merchant currency. This amount is the total amount, regardless of whether the customer or the Merchant paid it.

TotalDutiesPaidByCustomerPrice
number

The total amount of duties paid by the customer in the Merchant's currency.

UserId
string

Internal User identifier on the Merchant's site originally specified in the shippingDetails.UserId argument for SendCart method for the cart converted to this order on Global-e.

USSalesTax
number

Sales tax value for USA in the Merchant currency. This value is included in TotalDutiesAndTaxesPrice.

WebStoreCode
string

Code used on the Merchant's side to identify the web store, as specified in the WebStoreCode argument for the SendCart method for the cart converted to this order on Global-e.

Response

200 - application/json

Indicates if an API call was successful or not and why. Some values are encoded and require the merchant to decode them, for example URLs, addresses, emails, and phone numbers.

Response body. Some values are encoded and require the merchant to decode them, for example URLs, addresses, emails, and phone numbers.

ResponseInfo
Merchant.ResponseInfo · object

Indicates if an API call was successful or not and why.